import { Button } from '@material-ui/core'
import icon from 'assets/icons/visu/profileType/finish.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import { useNavigate } from 'react-router-dom'
import './ecogestureSelectionEnd.scss'

const EcogestureSelectionEnd = () => {
  const { t } = useI18n()
  const navigate = useNavigate()

  return (
    <div className="eg-selection-end-container">
      <div className="content">
        <div className="title text-28-bold">
          {t('ecogesture_selection.title_final')}
        </div>
        <StyledIcon icon={icon} size={120} />
        <div className="text text-16-normal">
          {t('ecogesture_selection.text_final_1')}
        </div>
        <div className="text text-16-normal">
          {t('ecogesture_selection.text_final_2')}
        </div>
      </div>
      <div className="buttons">
        <Button
          aria-label={t('ecogesture_selection.accessibility.button_ok')}
          className="btnPrimary"
          onClick={() => navigate('/ecogestures?tab=0')}
        >
          {t('ecogesture_selection.button_ok')}
        </Button>
      </div>
    </div>
  )
}

export default EcogestureSelectionEnd
