import { DataloadState } from 'enums'
import { DateTime } from 'luxon'

export interface DataloadValueDetail {
  value: number
  state: DataloadState
}

export interface Dataload {
  date: DateTime
  value: number
  price?: number
  state: DataloadState
  valueDetail: DataloadValueDetail[] | null
}

export interface DataloadEntity {
  id: string
  _id?: string
  _type?: string
  _rev?: string
  /** load (in kWh or L) */
  load: number
  /** minute of the date, set to 0 except for minute series */
  minute: number
  /** hour of the date, set to 0 except for minute and hour series */
  hour: number
  /** day of the date, set to 1 for month and year series */
  day: number
  /** month of the date, set to 1 for year series */
  month: number
  /** year of the date */
  year: number
  price?: number
}
