import ConfigService from './fluidConfig.service'

describe('ConfigService service', () => {
  const configService = new ConfigService()
  describe('getFluidConfig', () => {
    it('should return an array with the fluid config', () => {
      const result = configService.getFluidConfig()
      expect(result).toBeDefined()
    })
  })
  describe('getCronArgs', () => {
    it('should return minimum cron', () => {
      const min = 7
      const max = 9
      jest.spyOn(global.Math, 'random').mockReturnValue(0)
      const result = configService.getCronArgs(min, max)
      expect(result).toEqual(`0 0 ${min} * * *`)
    })
    it('should return maximum cron', () => {
      const min = 7
      const max = 9
      jest.spyOn(global.Math, 'random').mockReturnValue(0.9999)

      const result = configService.getCronArgs(min, max)
      expect(result).toEqual(`59 59 ${max} * * *`)
    })
  })
})
