import { accountsData } from 'tests/__mocks__/accountsData.mock'
import mockClient from 'tests/__mocks__/client.mock'
import KonnectorStatusService from './konnectorStatus.service'

const mockGetAccountByType = jest.fn()
jest.mock('./account.service', () => {
  return jest.fn(() => ({
    getAccountByType: mockGetAccountByType,
  }))
})

describe('KonnectorService service', () => {
  const konnectorStatusService = new KonnectorStatusService(mockClient)

  describe('getKonnectorAccountStatus method', () => {
    it('should return array with all fluid', async () => {
      mockGetAccountByType
        .mockResolvedValueOnce(accountsData[0])
        .mockResolvedValueOnce(accountsData[1])
        .mockResolvedValueOnce(accountsData[2])
      const result = await konnectorStatusService.getKonnectorAccountStatus()
      expect(result).toEqual([0, 1, 2])
    })

    it('should return array with elec and gaz fluid', async () => {
      mockGetAccountByType
        .mockResolvedValueOnce(accountsData[0])
        .mockResolvedValueOnce(null)
        .mockResolvedValueOnce(accountsData[2])
      const result = await konnectorStatusService.getKonnectorAccountStatus()
      expect(result).toEqual([0, 2])
    })

    it('should return empty array', async () => {
      mockGetAccountByType.mockResolvedValue(null)
      const result = await konnectorStatusService.getKonnectorAccountStatus()
      expect(result).toEqual([])
    })
  })
})
